Incompatible version of an installable ISAM. (Error 3429)

Applies to: Access 2013 | Access 2016

You attempted to use an older version of an installable ISAM with the current version of the Microsoft Access database engine. Run Setup again to install the correct version of the installable ISAM.

See also